<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Фото на модерацие*/
$tpl->assign_file('mod', 'tpl/inc/moder.tpl');
if (!($admin || $moder)) header('Location: ?') . exit;
$tpl->assign('linc', 'mod=moder&amp;page=' . (int)$_GET['page']);
// Публикация фото
if (isset($_GET['ok'])) $db->query("UPDATE `foto_file` SET `mod` = '0' WHERE `id` = '" . (int)$_GET['ok'] . "'");
// Удаление фото
if (isset($_GET['del_file'])) {
    $del_file = (int)$_GET['del_file'];
    $file = $db->assoc($db->query("SELECT * FROM `foto_file` WHERE `id` = '$del_file'"));
    $file = 'files/' . $file['id_dir'] . '/' . $file['id_albom'] . '/' . $file['id'] . '.' . $file['ext'];
    if (is_file($file)) unlink($file);
    $db->query("DELETE FROM `foto_file` WHERE `id` = '$del_file'");
	$com = new comments_class_by_lugaro('fotoalbom', $del_file);
	$com->del_group();
}
$all = $db->result($db->query("SELECT COUNT(*) FROM `foto_file` WHERE `mod` = 1"));
if ($all) {
    $n = new navigator($all, $konf_albom['navi'], '?mod=moder&amp;');
    $n->no_button = true;
    $tpl->assign('page', $n->page);
    // Сортировка
    $tpl->parse('index.moder.sort');
    if (isset($_GET['sort'])) $_SESSION['AlbomSort'] = $_GET['sort'];
    $sort = array('`time` DESC', '`name`', '`ocenka` DESC');
    $sort = empty($sort[(int)$_SESSION['AlbomSort']]) ? $sort[0] : $sort[(int)$_SESSION['AlbomSort']];
    // Настройки предпросмотра
    $tpl->parse('index.moder.prev');
    if (isset($_GET['prev'])) $_SESSION['AlbomPrev'] = $_GET['prev'];

    $sql = $db->query("SELECT *  FROM `foto_file` WHERE `mod` = 1 ORDER BY $sort LIMIT {$n->start()},{$konf_albom['navi']}");
    while (false != ($res = $db->assoc($sql))) {
    	$dir = $db->assoc($db->query("SELECT name  FROM `foto_dir` WHERE id = '".$res['id_dir']."'"));
    	$res['name_dir'] = $dir['name'];
        $res['time'] = date("d.m.Y / H:i", $res['time']);
        if (empty($res['op'])) $res['op'] = 'нет';
        if (empty($res['pas'])) $res['pas'] = 'нет';
        if ($res['close'] == 2) {
            $res['close'] = 'Только автору фото';
        } elseif ($res['close'] == 1) {
            $res['close'] = 'Только друзьям';
        } else {
            $res['close'] = 'Всем';
        }
        $tpl->insert_loop('index.moder.while', $res);
    }
    $tpl->assign('navi', $n->navi());
} else {
    $tpl->parse('index.moder.no_file');
}

$tpl->parse('index.moder');

?>